EDIT - feature request #9078

Handle name parsing and deduplication on server side
06/17/2020 01:16 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal

Description

this is blocking #8857
requires:

e improvement of match strategies for parsed names (MatchStrategyFactory): #9085
Open issue:

¢ name matching on TaxonName level

¢ warning that nom. ref. (and authors) are referenced from elsewhere if exactly 1 more reference exists (the new record is not
counted as reference as it is not persisted - maybe a general issue)

Related issues:

Related to EDIT - feature request #9085: Improve deduplication of parsed names Closed
Related to EDIT - bug #8857: NonUniqueObjectException when creating new taxon Closed
Related to EDIT - bug #7709: CdmTransientEntityCacher cannot handle multiple ... Feedback
Related to EDIT - bug #8831: saving name editor throws NPE Worksforme

Associated revisions

Revision 72eb424b - 06/17/2020 01:20 AM - Andreas Miiller

ref #9078 first server side implementation for parsing and deduplication of names

Revision 7d1593b0 - 06/17/2020 01:21 AM - Andreas Miiller

ref #9078 , ref #8857 use server side parsing in TaxonNodeServicelmpl.createNewTaxonNode

Revision b6a90c36 - 06/17/2020 01:38 AM - Andreas Miiller
ref #9078, ref #8857 adapt TaxEditor to extended CreateTaxonDTO

Revision 8ce66ade - 06/20/2020 09:33 AM - Andreas Muller

ref #9078 remove logging for deduplication

Revision 4fc40f5c - 06/21/2020 12:56 AM - Andreas Miiller

ref #9078 add parsing for existing names (ll)

Revision e26fd740 - 06/22/2020 06:09 PM - Andreas Miiller

ref #9078 adapt return type of service.parseName

Revision a9bd2165 - 06/23/2020 08:36 AM - Andreas Miiller

ref #9078, ref #9085 improve deduplication of teams nom.ref. authors

Revision aab00a6d - 06/23/2020 09:06 AM - Andreas Miiller
ref #9078, ref #9085 fix deduplication of nom.ref. author

Revision 02e380e6 - 06/24/2020 11:48 PM - Andreas Miiller
ref #9078 improve UpdateResult handling in CdmTransientEntityCacher
e include result entity to the updated objects
e |oad updated objects also if they their ID does not yet exist in Cacher (this is needed to always call recursive updating)

Revision 2d71110d - 06/24/2020 11:49 PM - Andreas Miiller

ref #9078 adapt ParseHandler to new serverside deduplication

Revision d6d15f6c¢ - 06/24/2020 11:53 PM - Andreas Miiller

ref #9078 remove commented code in ParseHandler

Revision d6969ebf - 06/25/2020 12:10 AM - Andreas Miiller

ref #9078 fix null entity handling in ConversationalTransientEntityCacher

Revision eOcc4{18 - 06/25/2020 12:17 AM - Andreas Miiller

ref #9078 further improve null entity handling in ConversationalTransientEntityCacher (just in case)

Revision 0c63c580 - 06/29/2020 12:48 AM - Andreas Miiller

ref #9078 allow ignoring recursive loading of terms

Revision c86eab33 - 06/29/2020 12:52 AM - Andreas Miiller

ref #9078 include Representation to permanent cache

Revision b6f9eb47 - 06/29/2020 12:56 AM - Andreas Miiller

fix #9078 finally switch to new deduplication handling (but keep old code until fully reviewed)

Revision d4180c93 - 06/29/2020 12:47 PM - Andreas Miiller

ref #9078 allow ignoring recursive loading of terms (cont.)

Revision ee500fb8 - 06/30/2020 02:54 PM - Andreas Miiller

ref #9078 fix caching for deduplicated name in ParseHandler

History

#1 - 06/17/2020 01:16 AM - Andreas Miiller
- Blocks bug #8857: NonUniqueObjectException when creating new taxon added

#2 - 06/18/2020 04:53 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

There is a problem with effectively deduplicating classes having a timePeriod attribute as empty Partials are sometimes stored as "00000000" and
sometimes as null.
Needs further research.

#3 - 06/18/2020 04:53 PM - Andreas Miuller

- Related to feature request #9022: Implement lifespan for Person Details View added

#4 - 06/18/2020 06:12 PM - Andreas Miiller
- Blocked by bug #9081: Handle empty Partials correctly added

#5 - 06/19/2020 11:16 PM - Andreas Miiller

- Related to feature request #9085: Improve deduplication of parsed names added

#6 - 06/19/2020 11:17 PM - Andreas Miiller

- Related to deleted (feature request #9022: Implement lifespan for Person Details View)

#7 - 06/19/2020 11:18 PM - Andreas Miiller
- Blocked by deleted (bug #9081: Handle empty Partials correctly )
#8 - 06/19/2020 11:32 PM - Andreas Miiller

- Description updated

#9 - 06/20/2020 08:36 AM - Andreas Mdiller
- Blocks deleted (bug #8857: NonUniqueObjectException when creating new taxon)

#10 - 06/20/2020 08:36 AM - Andreas Miiller
- Related to bug #8857: NonUniqueObjectException when creating new taxon added

#11 - 06/23/2020 01:47 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#12 - 06/24/2020 11:44 PM - Andreas Miiller
- Description updated

#13 - 06/24/2020 11:44 PM - Andreas Miiller
- Description updated

#14 - 06/29/2020 12:57 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|b6f9eb474c27{732c7f2cdc0d0fd5a6a5e45d174.

#15 - 06/30/2020 03:02 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

This should work now. Can you please review.

#16 - 06/30/2020 03:15 PM - Andreas Miiller
- Related to bug #7709: CdmTransientEntityCacher cannot handle multiple unpersisted entities of the same type added

#17 - 06/30/2020 03:26 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.16

#18 - 06/30/2020 03:36 PM - Katja Luther

- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Release 5.16 to Release 5.18

- % Done changed from 50 to 100
Tested:
Authors, the author is correctly deduplicated for persons with same abbrevTitle, also if the already existing person has all other informations like

family name, other name ...
References, also for references with additional information like URI the deduplication works as expected.

| think the deduplication works as expected.

#19 - 06/30/2020 03:36 PM - Katja Luther

- Target version changed from Release 5.18 to Release 5.16

#20 - 03/19/2021 11:15 AM - Andreas Miiller
- Related to bug #8831: saving name editor throws NPE added
